#
#  vztt package spec file
#
%define NOCHECKER32 ""
%if 0%{?_aci_build:1}
	%define NOCHECKER32 "-DSKIP_CHECKER32=1"
%endif

%define current_version 7.1.5
%define confdir /etc/vztt
%define vzconfdir /vz/template/conf/vztt
%define vztt_conf %{confdir}/vztt.conf
%define nojquota_conf %{confdir}/nojquota.conf
%define url_map %{vzconfdir}/url.map
%define url_map_link %{confdir}/url.map
%define vztmp /vz/tmp
%define tmp_url_map %{vztmp}/tmp_url_map
%define tmp_vztt_conf %{vztmp}/tmp_vztt_conf
%define _basename vztt
%{?coverage:%define _coverage %{coverage}}
%{!?coverage:%define _coverage 0}

%global _hardened_build 1

%if %_coverage
Name:		%{_basename}-coverage
Provides: %{_basename}
Provides: %{_basename}-lib
Obsoletes: %{_basename}
Obsoletes: %{_basename}-lib
%else
Name:		%{_basename}
%endif
Version:	%{current_version}
Release:        3%{?dist}
Summary:	OpenVZ EZ template management tools
Source:		vztt-%{current_version}.tar.bz2
License:	GPLv2
Group:		Applications/System
BuildRoot:	%{_tmppath}/%{_basename}-%{version}-root
ExclusiveArch:  x86_64

BuildRequires:	libattr-devel, glibc-static, libuuid-devel

%if ! %_coverage
Requires:	vztt-lib = %{version}-%{release}
%endif

Requires:	vztt_checker
Requires:	vzctl >= 5.0.0-70 
BuildRequires:	libvzctl-devel >= 7.0.16
Requires:	ploop-lib >= 6.1.0-58, attr
BuildRequires:	ploop-devel >= 6.1.0-58
Requires:	lz4
#TODO: Requires:	deb2vzdeb, rpm2vzrpm >= 4.2.1-4.2.36 
# for deb packages 
# binutils - /usr/bin/ar - ar not used already
# coreutils: md5sum & stat
Requires:   gzip, coreutils, gzip

# uuid
Requires:	e2fsprogs
BuildRequires:	e2fsprogs-devel 

# vzpkglink
# TODO: Requires:	vzcache >= 4.0.0-4

# For ovz-template-converter,OVZ-7251
BuildRequires:	python3-configobj
Requires:	python3-configobj

# Tar with magic symlink support:
Requires:	tar
Obsoletes:	vztt-build

%description
OpenVZ EZ template management tools are used for software installation
inside Containers.

%if ! %_coverage
%package devel
Summary:    OpenVZ EZ template management API development library
Group:      Development/Libraries
License:    GPLv2 or LGPLv2.1

%description devel
OpenVZ EZ template management static library and include files

Requires:	vztt-lib = %{version}-%{release}


%package lib
Summary:    OpenVZ EZ template management API library
Group:      System Environment/Libraries
License:    GPLv2 or LGPLv2.1

%description lib
OpenVZ EZ template management API library


%endif


%prep
%setup -q

%build
make clean
%if %_coverage
NDEBUG=1 make CFLAGS="-fprofile-arcs -ftest-coverage %{NOCHECKER32}" LGCOV="-lgcov -lgssapi_krb5 -lidn"
%else
export LDFLAGS="$RPM_LD_FLAGS"
NDEBUG=1 make CFLAGS="$RPM_OPT_FLAGS %{NOCHECKER32}"
%endif

%install
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_docdir}/%{name}-lib-%{version}
mkdir -p %{buildroot}%{_docdir}/%{name}-devel-%{version}
mkdir -p %{buildroot}%{_docdir}/%{name}-build-%{version}
install -m 644 COPYING GPL-2.0  %{buildroot}%{_docdir}/%{name}-%{version}/
install -m 644 COPYING LGPL-2.1 %{buildroot}%{_docdir}/%{name}-lib-%{version}/
install -m 644 COPYING GPL-2.0 LGPL-2.1 %{buildroot}%{_docdir}/%{name}-devel-%{version}/
#rm -rf %buildroot

%if %_coverage
make DESTDIR=%buildroot CFLAGS="-fprofile-arcs -ftest-coverage" \
        LGCOV="-lgcov" install
rm -fr ${RPM_BUILD_ROOT}/%_includedir
rm -fr ${RPM_BUILD_ROOT}/%_libdir/libvztt.a
rm -fr ${RPM_BUILD_ROOT}/%_libdir/libvztt.so
rm -fr ${RPM_BUILD_ROOT}/%_bindir/vzmktmpl
rm -fr ${RPM_BUILD_ROOT}/%_mandir/man5
rm -fr ${RPM_BUILD_ROOT}/%_mandir/man8/vzmktmpl*
rm -fr ${RPM_BUILD_ROOT}/%_datadir/%{_basename}/samples
mkdir -p ${RPM_BUILD_ROOT}/%_builddir/%{_basename}
cp -a * ${RPM_BUILD_ROOT}/%_builddir/%{_basename}
%else
make DESTDIR=%buildroot install
%endif
# create logrotate config
mkdir -p ${RPM_BUILD_ROOT}/etc/logrotate.d
echo "/var/log/vztt.log {
        compress
        missingok
}" >${RPM_BUILD_ROOT}/etc/logrotate.d/vztt

%check
python3 %{buildroot}%{_libexecdir}/ovz-template-converter | grep -q "need to have root"
r=${PIPESTATUS[0]}
[[ $r == 0 ]] || [[ $r == 73 ]] || exit 1
exit 0

%files
%defattr(-, root, root)
%attr(755,root,root) %_sbindir/vzpkg
%dir %_libdir/%_basename
%attr(755,root,root) %_libdir/%_basename/myinit
%_mandir/man8/vzpkg.8.*
%attr(644,root,root) %config(noreplace) %{vztt_conf}
%attr(644,root,root) %config(noreplace) %{nojquota_conf}
%attr(644,root,root) %config(noreplace) %{url_map}
%attr(-,root,root) %{url_map_link}
%attr(644,root,root) /etc/logrotate.d/vztt
%if %_coverage
%attr(755,root,root) %_libdir/libvztt.so.1*
%{_builddir}/%{_basename}
%endif
%attr(755,root,root) %_libexecdir/*
%{_docdir}/%{name}-%{version}

%if ! %_coverage
%files devel
%attr(755,root,root) %_libdir/libvztt.a
%attr(644,root,root) %_includedir/vz/vztt.h
%attr(644,root,root) %_includedir/vz/vztt_error.h
%attr(644,root,root) %_includedir/vz/vztt_options.h
%attr(644,root,root) %_includedir/vz/vztt_types.h
%attr(755,root,root) %_libdir/libvztt.so
%{_docdir}/%{name}-devel-%{version}

%files lib
%attr(755,root,root) %_libdir/libvztt.so.1*
%{_docdir}/%{name}-lib-%{version}
%endif

%clean
test "x$RPM_BUILD_ROOT" != "x" && rm -rf $RPM_BUILD_ROOT
make clean

%changelog
* Mon Oct 23 2023 Efim Shevrin <efim.shevrin@virtuozzo.com> 7.1.5
 - Change loglevel VZTL_ERR to VZTL_INFO for upgrade cmd#PSBM-150404 (Fima
<efim.shevrin@virtuozzo.com>)
 - update targets.list
 - Add --norepair option for vzpkg upgrade cmd #PSBM-151080 (Fima Shevrin
<efim.shevrin@virtuozzo.com>)

* Mon Oct 23 2023 Efim Shevrin <efim.shevrin@virtuozzo.com> 7.1.4
 - update targets.list
 - Add --norepair option for vzpkg upgrade cmd #PSBM-151080 (Fima Shevrin
<efim.shevrin@virtuozzo.com>)

* Tue Oct 10 2023 Efim Shevrin <efim.shevrin@virtuozzo.com> 7.1.3
 - Fix vzpkg options pasrsing #PSBM-151272 -F option is screened by Q option in
parsing that leads to parsing errors. We fix get_opt func options by adding
colon accroding to docs. (Fima <efim.shevrin@virtuozzo.com>)

* Fri Oct 06 2023 Aleksandr Leskin <aleksandr.leskin@virtuozzo.com> 7.1.2
 - Add options allowerasing in vzpkg #PSBM-151079 
   (Fima <efim.shevrin@virtuozzo.com>)
 - Add releasever option in vzpkg #PSBM-150864 
   (Fim Shevrin <efim.shevrin@virtuozzo.com>)

* Thu Aug 10 2023 Aleksandr Leskin <aleksandr.leskin@virtuozzo.com> 7.1.1
 - Bump version for dist-vz7-u21

* Wed Aug 09 2023 Efim Shevrin <efim.shevrin@virtuozzo.com> 7.0.83.7
 - Incorrect parsing of rpm package data #PSBM-149099 (Fima Shevrin
<efim.shevrin@virtuozzo.com>)

* Sat Apr 09 2022 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 7.0.83.5
 - Make vztt_checker32 optional during compilation

* Wed Feb 16 2022 Updates Tracker <dsilakov@virtuozzo.com> 7.0.83.4
 - yum: errorlevel and debuglevel should not exceed 10, PSBM-135203 (Denis
Silakov <dsilakov@virtuozzo.com>)

* Tue Dec 21 2021 Denis Silakov <dsilakov@virtuozzo.com> 7.0.83.3
 - just use certs for rhel only if template is contains rhel string (Alexander
Stefanov <astefanov@virtuozzo.com>)

* Mon Nov 15 2021 Denis Silakov <dsilakov@virtuozzo.com> 7.0.83.2
 - USe separate versioning for vz7
 - Fixed man page formatting (Dmitry Mishin <dim@virtuozzo.com>)
 - Fix copyrigh message
 - Containers image creation using ez templates #PSBM-107631 (Igor Sukhih
<igor@virtuozzo.com>)
 - Init cachename before using it, PSBM-105353
 - Switch to python3 (Igor Sukhih <igor@virtuozzo.com>)
 - Unable to install package if $VE_PRIVATE/templates missed #PSBM-103004 (Igor
Sukhih <igor@virtuozzo.com>)
 - Fix typo in Bugfix OVZ-7246
 - Bugfix OVZ-7246 vztt: ovz-template-converter ignores vefstype when
constructing tarname (bkb <bkb@virtuozzo.com>)
 - Really switch to python3, PSBM-105224
 - Update Copyright (Igor Sukhih <igor@virtuozzo.com>)
 - add rhel certs only if root RH cert is exist #PSBM-135687 (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Mon Nov 15 2021 Denis Silakov <dsilakov@virtuozzo.com> 7.0.70
 - Fix typo in Bugfix OVZ-7246
 - Bugfix OVZ-7246 vztt: ovz-template-converter ignores vefstype when
constructing tarname (bkb <bkb@virtuozzo.com>)
 - Really switch to python3, PSBM-105224
 - Update Copyright (Igor Sukhih <igor@virtuozzo.com>)
 - add rhel certs only if root RH cert is exist #PSBM-135687 (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Mon Nov 15 2021 Denis Silakov <dsilakov@virtuozzo.com> 7.0.68
 - add rhel certs only if root RH cert is exist #PSBM-135687 (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Tue Jul 20 2021 VZ Auto Builder <builder@virtuozzo.com> 7.0.82
 - this options needed to make rhel-7/8 templates work (Alexander Stefanov
<astefanov@virtuozzo.com>)

* Tue Apr 13 2021 VZ Auto Builder <builder@virtuozzo.com> 7.0.81
 - Revert "Force --update-cache option if 'update cache' command is specified,
PSBM-127859" (Denis Silakov <dsilakov@virtuozzo.com>) (#PSBM-127859 #PSBM-128305 #PSBM-127859)
 - Switch to u17 (Denis Silakov <dsilakov@virtuozzo.com>)

* Thu Apr 08 2021 Denis Silakov <dsilakov@virtuozzo.com> 7.0.80
 - Force --update-cache option if 'update cache' command is specified,
PSBM-127859

* Tue Apr 06 2021 Dmitry Mishin <dim@virtuozzo.com> 7.0.79
 - Fixed man page formatting

* Fri Feb 12 2021 VZ Auto Builder <builder@virtuozzo.com> 7.0.76
 - PSBM-125260 (Denis Silakov <dsilakov@virtuozzo.com>)

* Tue Oct 13 2020 Denis Silakov <dsilakov@virtuozzo.com> 7.0.75
 - Fix copyrigh message
 - remove osrelease hack to prevent issue with CT creation on VZ8, see
\#PSBM-120673 (Alexander Stefanov <astefanov@virtuozzo.com>)

* Fri Apr 17 2020 Denis Silakov <dsilakov@virtuozzo.com> 7.0.71
 - Unable to install package if $VE_PRIVATE/templates missed #PSBM-103004 (Igor
Sukhih <igor@virtuozzo.com>)

* Wed Apr 15 2020 Denis Silakov <dsilakov@virtuozzo.com> 7.0.69
 - Revert "Set ploop trusted flag on cache creation and modify procedures, see
\#PSBM-98307" see #PSBM-99224 (Alexander Stefanov <astefanov@virtuozzo.com>)
 - Revert "set trusted flag more complex, see #PSBM-99039" see #PSBM-99224
(Alexander Stefanov <astefanov@virtuozzo.com>)

* Thu Oct 31 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.67
 - set trusted flag more complex, see #PSBM-99039

* Thu Oct 10 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.66
 - Set ploop trusted flag on cache creation and modify procedures, see
\#PSBM-98307

* Fri Jul 05 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.65
 - Correct python versions detection, see #PSBM-93343
 - Added support for python3.x inside yum/dnf-based pkgenvs, see #PSBM-93343

* Wed Jan 09 2019 Konstantin Volkov <wolf@virtuozzo.com> 7.0.61
 - package_manager should be initialized, see #PSBM-88974

* Wed Jul 04 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.60
 - Check mid-pre/mid-post scripts also for setname templates, see #PSBM-86386

* Thu May 24 2018 Konstantin Volkov <wolf@virtuozzo.com> 7.0.59
 - Log errors on stdout after clone() and before exec(), see #PSBM-82267

* Tue May 30 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.57-2
- Enable hardened build, see #PSBM-58107

* Wed Apr 19 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.57
 - AddressSanitizer: heap-use-after-free during "vzpkg remove #PSBM-58441 (Igor
Sukhih <igor@virtuozzo.com>)

* Tue Apr 18 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.56
 - free_available_list(): fixed list cleanup #PSBM-58440 (Igor Sukhih
<igor@virtuozzo.com>)

* Tue Apr 11 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.55
 - Use right error code for case if template was not found, see #PSBM-57361

* Tue Mar 28 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.54
 - Rebranding in dpkg database, see #PSBM-58317
 - Use OpenVZ as product name, see #PSBM-58317

* Fri Mar 10 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.53
 - Update contacts Add full copyright header to run_from_chroot.c (Andrey
Bondrov <abondrov@virtuozzo.com>)
 - Update copyrights (Andrey Bondrov <abondrov@virtuozzo.com>)

* Mon Feb 20 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.52
 - Added rebrand defines, see #PSBM-58317

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.51-3
- Rebuild in 7.3 environment

* Tue Dec 13 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.51
 - Redefine open() call and check for veroot unjump attempts, see #PSBM-53684
 - Added requires for vztt_checker (both arches), see #PSBM-53684

* Thu Dec 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.50
 - Fail immediately if given OS template starts with hyphen

* Wed Dec 07 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.49
 - Use common yum_install function for all yum installations

* Fri Oct 21 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.44
 - Install prlcompress in case of lzrw cache file found (while lz4 was not
found), see #PSBM-53216

* Wed Aug 10 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.43
 - Check deb-based packages files more carefully, cleanup fixed. Also, create
temp dir at the top of ve_root, see #PSBM-50889

* Fri Aug 05 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.42
 - Call _exit() instead of exit(), see #PSBM-50723

* Thu Aug 04 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.41
 - Add a comment that HTTP_PROXY accepts ftp as well OVZ-6784 (Dmitry Mishin
<dim@virtuozzo.com>)

* Tue Jul 19 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.40
 - Drop vztt2_link() support - VZFS related

* Tue Jul 19 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.39
 - Use execv() instead of system() call where it possible, see #PSBM-49399

* Tue Jun 21 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.38
 - Implemented cache recreation on cache removed and update cache actions for
native OVZ templates, see #PSBM-48612
 - Merge BitNami no_pkgs_actions templates flag, see #PSBM-48612

* Sat Jun 18 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.37
 - Templates converted from OVZ cache should have 'package_manager' file, even
if it is empty (#PSBM-48495) (Denis Silakov <dsilakov@gmail.com>)

* Tue Jun 14 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.36
 - Fix ploop path in temporary container dirs, see #PSBM-44024
 - Improve vztt template rpms operations, see #PSBM-14463

* Sun Jun 12 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.35
 - move run_from_chroot binary from libvznbdmi to vztt (/usr/libexec/), see
\#PSBM-48232 (Alexander Stefanov-Khryukin <akhryukin@virtuozzo.com>)

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.34
 - Technical rebuild, drop vztt-build package, see #PSBM-47948

* Fri Jun 03 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.33
 - Convert OpenVZ pre-created templates into VZ7 templates on the fly during
instance creation (#PSBM-38602) (Denis Silakov <dsilakov@gmail.com>)

* Sat May 21 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.32
 - Process missed pfcache_includes safely, check for pfcache.conf, identations
fixed

* Fri May 20 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.31
 - Use default PFCACHE_INCLUDES dir list if both vz.conf and pfcache.conf miss
it, see #PSBM-47181

* Wed May 18 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.30
 - Read PFCACHE_INCLUDES var from /etc/vz/pfcache.conf if it exists,
   see #PSBM-45513

* Wed Apr 27 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.29
 - Prohibit memory corruption during output parsing, PSBM-46554
 - Install vztt_pfcache_xattr with executable permissions during 'make install'
(Denis Silakov <dsilakov@gmail.com>)
 - put LIB creation rule in the right place (Alexander Stefanov-Khryukin
<astefanov@virtuozzo.com>)
 - Allow passing additional CFLAGS to build process (Denis Silakov
<dsilakov@gmail.com>)

* Wed Feb 03 2016 Konstantin <wolf@parallels.com> 7.0.28
 - Added option to skip i386 metadata downloads on (Ashley Moravek
<ashley@victorianfox.com>)

* Thu Dec 31 2015 Konstantin <wolf@parallels.com> 7.0.27
 - Add ability to install defostemplate from yum repo without arch

* Fri Dec 11 2015 Konstantin <wolf@parallels.com> 7.0.26
 - Create simfs related data on create cache stage, see #PSBM-40833

* Tue Oct 06 2015 Konstantin <wolf@parallels.com> 7.0.25
 - Update Ploop calls to newer API (Ploop commit
2a70a82c02f5860a0d9ea2cca8f930254b4283e0) (Ashley Moravek <ashley@moravek-
ondrej.kancelar.seznam.cz>)

* Mon Oct 05 2015 Konstantin <wolf@parallels.com> 7.0.24
 - Drop VZFS-related --fast-links tar option, see #PSBM-39138

* Wed Sep 30 2015 Konstantin <wolf@parallels.com> 7.0.23
 - Added setname inheritance support for packages0, packages1 and repos files

* Tue Jun 30 2015 Konstantin <wolf@parallels.com> 7.0.21
 - Create temp dir for scripts instead of file, see #PSBM-34578
 - Add README with short description (Sergey Bronnikov <sergeyb@openvz.org>)

* Mon Jun 15 2015 Konstantin <wolf@parallels.com> 7.0.20
 - Tempopary disabled 32-bit backward compatibility, see #PSBM-34205

* Mon Jun 08 2015 Konstantin <wolf@parallels.com> 7.0.19
 - Add backward compatibility for 32-bit EZ template support, see #PSBM-33968

* Fri Jun 05 2015 Konstantin Volkov <wolf@parallels.com> 7.0.18
 - Add lz4 compression support, #PSBM-33860 (Nikita Spiridonov
<nspiridonov@odin.com>)
 - Removed obsolete macros (Daniil Guzanov <dguzanov@odin.com>)

* Tue Jun 02 2015 Konstantin Volkov <wolf@parallels.com> 7.0.17
 - Removed requires to prlcompress, added requires to lz4
 - Add requires for lz4 tools, #PSBM-33860 (Nikita Spiridonov
<nspiridonov@odin.com>)

* Tue Jun 02 2015 Konstantin Volkov <wolf@parallels.com> 7.0.13-3
- Removed requires to prlcompress, added requires to lz4

* Mon Jun 01 2015 Konstantin Volkov <wolf@parallels.com> 7.0.13-2
- Removed requires to vzyum-plugins. Some cleanup.

* Sat May 30 2015 Konstantin Volkov <wolf@parallels.com> 7.0.13
 - Remove uuid logic, remove vzcache support, remove vzpkg_repair, remove deb2vzdeb and rpm2vzrpm support, see #PSBM-33153

* Sat May 30 2015 Konstantin Volkov <wolf@parallels.com> 7.0.12
 - Removed unused functions, fixed compilation warnings
 - Removed STD templates proceeding, compilation warning fixes
 - Dropped VZFS3 and VZFS4 format support
 - Do not create VZFS4 dirindexes
 - Removed VZFS3 check code
 - Remove VZFS3 NFS check
 - Removed postupgrade_private_check
 - Removed vzfs and libvzfs related code, see #PSBM-31106
 - Apply GNU Copyright headers
 - Removed convert test
 - Remove ez-mirror scripts
 - Removed std templates convert scripts
 - Merge pull request #3 in VZS/vztt from ~DIM/vztt:master to master (Konstantin Volkov <wolf@odin.com>)
 - Switch to gz compression for cache archive OpenVZ lacks proprietary prlcompress binary whilst we are interested to have the same format in OpenVZ and commercial product. (Dmitry Mishin <dim@parallels.com>)
 - Cleanup upgrade_area functions as they are obsoleted (Dmitry Mishin <dim@parallels.com>)
 - Merge pull request #2 in VZS/vztt from ~DIM/vztt:master to master (Konstantin Volkov <wolf@odin.com>)
 - Remove obsoleted option #PSBM-19383 (Dmitry Mishin <dim@parallels.com>)

* Tue May 19 2015 Igor Sukhih <igor@parallels.com> 7.0.11
 - Unitialized buffer passwd to is_veid()

* Tue May 05 2015 Igor Sukhih <igor@parallels.com> 7.0.10
 - UUID instead of VEID for CT identification

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.9
 - Updated GPL text

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.8
 - Updated license #PSBM-26806

* Tue Apr 07 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.7
- rebuild with ploop 7.0.x #PSBM-32811

* Tue Nov 12 2013 Konstantin Volckov <wolf@parallels.com> 6.1.0-34
- Do appcache creation when cache-private/root missed, see #PSBM-23468

* Wed Oct 16 2013 Konstantin Volckov <wolf@parallels.com> 6.1.0-32
- Added -t option for update command, see #PSBM-21459

* Thu Jul 11 2013 Konstantin Volckov <wolf@parallels.com> 6.1.0-25
- Use libploop instead of ploop binary execs, see #PSBM-20907
- Remove cache-root and cache-privs directories from caches (and
  containers private), see #PSBM-13088

* Tue Jul  2 2013 Konstantin Volckov <wolf@parallels.com> 6.1.0-23
- Implemented ploopv2 caches format support, see #PSBM-19590

* Thu Jun 20 2013 Konstantin Volckov <wolf@parallels.com> 6.1.0-22
- Execute app template scripts once, see #PCLIN-31912

* Tue Jun 11 2013 Konstantin Volckov <wolf@parallels.com> 6.1.0-21
- Always call pre-update and post-update app template scripts, see #PCLIN-31782

* Thu May 23 2013 Konstantin Volckov <wolf@parallels.com> 6.1.0-20
- Speed-up the jquota info: do not check for all available repos, only OS

* Wed May 15 2013 Konstantin Volckov <wolf@parallels.com> 6.1.0-19
- Implement vzpkg info jquota information call, see #PSBM-19368

* Wed Mar 27 2013 Konstantin Volckov <wolf@parallels.com> 6.1.0-18
- Try for VEID 50 for cache creation after 1, see #PSBM-19153

* Thu Dec 20 2012 Konstantin Volckov <wolf@parallels.com> 6.1.0-16
- Fixed documentation link, see #PSBM-17436

* Wed Dec 12 2012 Konstantin Volckov <wolf@parallels.com> 6.1.0-15
- Change readdir() to readdir_r(), see #PSBM-17279

* Mon Dec 03 2012 Konstantin Volckov <wolf@parallels.com> 6.1.0-13
- Parse dot in front of ostemplate, see #PSBM-15721

* Mon Oct 22 2012 Konstantin Volckov <wolf@parallels.com> 6.1.0-12
- Added VZ_PROGRESS_FD support

* Sat Oct 20 2012 Konstantin Volckov <wolf@parallels.com> 6.1.0-11
- Implement progress and stages output for vzpkg and libvztt,
  see #PSBM-12690

* Tue Oct 02 2012 Igor Bazhitov <ibazhitov@parallels.com> 6.1.0-6
- Lock template cache on create, see #PSBM-14675

* Wed Sep 05 2012 Konstantin Volckov <wolf@parallels.com> 6.1.0-5
- Added error message when yum install failed, see #PSBM-12559
- Improved clean cache cleanup, see #PSBM-12596

* Mon Aug 13 2012 Konstantin Volckov <wolf@parallels.com> 6.1.0-2
- Implement ability to change default ploop block size:
  for now block size will be defined from PLOOP_BLOCK_SIZE
  environment variable if it exists. See #PSBM-12507

* Wed Jun 06 2012 Konstantin Volckov <wolf@parallels.com> 6.0.0-4
- Remove double zyppzypp for zypper-based vzpkgenv names, see #PSBM-13414
- Update templates symlink for appcache during update, see #PSBM-13052
- Stop the container if setup_wait failed, see #PSBM-12599

* Thu Mar 29 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-76
- Implemented vefstype=all support for vzpkg info and vzpkg list commands,
  see #PSBM-12192

* Wed Mar 28 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-74
- Implemented --vefstype options

* Wed Mar 21 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-69
- Make the ploop-based layout default

* Wed Mar 21 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-68
- Check VELAYOUT and VEFSTYPE compatibility in sysconfig/vz,
  automatically assign the pair if only one was defined,
  enable back vz4 + simfs, strict ploop usage only with ext4 #PSBM-11793

* Tue Feb 21 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-63
- Install vzpkgenvs on vzpkg clean calls, see #PSBM-11538

* Sun Feb 12 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-61
- Added attr to requires, see #PSBM-10447

* Tue Feb 07 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-59
- Inflate the baloon during update cache with --update-cache

* Tue Feb 07 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-58
- Do not try to update cache when it does not exist and --update cache
  given, see #PSBM-11327
- Baloon inflate during update cache fixed

* Fri Feb 03 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-57
- Fixed the "," in vzpkg help, see #PSBM-11252
- Resize the ploop to the sample config diskspace or to pre-defined 10Gb
  if DISKSPACE is empty, see #PSBM-11225

* Wed Jan 18 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-51
- vztt create appcache should install app templates in one transaction,
  not one-by-one, see #PSBM-10956
- realloc calls changed to malloc due to coredumps with high level compiler
  optimizations and OS template environment setup

* Mon Jan 16 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-50
- Implemented ability to setup environment variables for ez-template
  scripts, see #PSBM-10770

* Fri Jan 13 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-49
- Fixed build in RHEL6 environment

* Thu Jan 12 2012 Konstantin Volckov <wolf@parallels.com> 5.0.0-48
- Call libvzctl functions that generate vzctl-line sample conf name,
  see #PSBM-10766
- Implemented Golden Image disable feature, see #PSBM-10771

* Fri Dec 30 2011 Konstantin Volckov <wolf@parallels.com> 5.0.0-45
- Call pre- and post-install-hn scripts for app templates during
appcache creation

* Mon Dec 19 2011 Konstantin Volckov <wolf@parallels.com> 5.0.0-42
- Implemented md5sum instead of long-long appcache names with
  apptemplates, see #PSBM-10518

* Wed Dec 14 2011 Konstantin Volckov <wolf@parallels.com> 5.0.0-41
- Fixed app templates with own repos/mirrorlist appcache support, see #PSBM-10259
- Check for ostemplate name added, see #PSBM-10460

* Fri Dec  9 2011 Konstantin Volckov <wolf@parallels.com> 5.0.0-40
- Added vzpkgenvzypp support, see #PSBM-10071

* Tue Aug  2 2011 Serguei Krasnov <krasnov@parallels.com> 5.0.0-27
- fixed for gfs2 (https://jira.sw.ru/browse/PCLIN-29873)

* Tue Jun  7 2011 Serguei Krasnov <krasnov@paralles.com> 5.0.0-21
- CT lock/unlock fixed (https://jira.sw.ru/browse/PSBM-8571)

* Fri Jun 03 2011 Konstantin Volckov <wolf@parallels.com> 5.0.0-20
- Simplify rpm version detection, needed for Fedora 15, see #PCLIN-29006

* Thu May 26 2011 Serguei Krasnov <krasnov@paralles.com> 5.0.0-19
- to use curl binary to download file instead of libcurl
  (https://jira.sw.ru/browse/PCLIN-29251)

* Fri May 06 2011 Konstantin Volckov <wolf@parallels.com> 5.0.0-18
- Clean lists/partial directory for new dpkg, see #PCLIN-29157
- Added creation of preferences.d dir, needed for apt 0.8.13, see #PCLIN-29149
- Added vzpkgdnvdeb_ma(x64) support, see #PCLIN-29005

* Wed Dec  1 2010 Serguei Krasnov <krasnov@paralles.com> 5.0.0-17
- get vzdirectory list and cache name (https://jira.sw.ru/browse/PSBM-209)

* Fri Nov 26 2010 Konstantin Volckov <wolf@parallels.com> 5.0.0-16
- Run from chroot all utilities using clone() call instead of fork(),
  see #PCLIN-28606

* Tue Nov 23 2010 Konstantin Volckov <wolf@parallels.com> 5.0.0-11
- Show upgradeable_versions for templates without this file, see #PSBM-5185
- Call VE0 context scripts with VEID as $2 argument
- Do not call pm_init in vztt2_info call
- Fixed minor bug in yum packages removal

* Fri Nov 19 2010 Konstantin Volckov <wolf@parallels.com> 5.0.0-10
- Fixed yum packages removal - now it return an error, see #PCLIN-28579
- Moved Container lock before restart, see #PCLIN-28567
- Exit immediately if there are no any repos (see #PSBM-4985)
- Always create yum.conf with unique repos (see #PCLIN-28427)
- Call link and repair with one transaction download (see #PCLIN-28427)
- Added possibility to cancel download transaction
- Fixed execution of pre-install-hn and post-install-hn scripts
  from app templates, see #PCLIN-28538

* Mon Nov  1 2010 Serguei Krasnov <krasnov@paralles.com> 5.0.0-9
- force-vzctl option was added (https://jira.sw.ru/browse/PCLIN-28311)

* Wed Oct 27 2010 Konstantin Volckov <wolf@parallels.com> 5.0.0-8
- Added Fedora 14 upgrade availability using osrelease vzctl scheme
- Added vztt info EZTEMPLATE osrelease key, see #PCLIN-28190

* Wed Oct 13 2010 Serguei Krasnov <krasnov@paralles.com> 5.0.0-7
- libcurl link as shared, not static (https://jira.sw.ru/browse/PCLIN-27978)
- unused vzmodules-devel removed

* Tue Sep 28 2010 Konstantin Volckov <wolf@parallels.com> 5.0.0-6
- Added ubuntu-10.10 support
- Added pre- and post-install-hn scripts support (needed by Plesk)
- vzmktmpl fixed to support new script names

* Fri Sep 17 2010 Konstantin Volckov <wolf@parallels.com> 5.0.0-5
- Call vzctl restart with --wait after upgrade, see JIRA #PCLIN-27702

* Tue Aug 17 2010 Konstantin Volckov <wolf@parallels.com> 5.0.0-4
- Call vzfsutil to convert container from VZFS3 to VZFS4 after successfull link
- Open /dev/null on HN during debian-based container localinstall (BUG #483560)

* Mon Aug  9 2010 Serguei Krasnov <krasnov@paralles.com> 5.0.0-2
- To include in 'template installation' transaction repositories/mirrorlists for OS template,
  installed app templates and target templates (#482856).

* Wed Aug  4 2010 Serguei Krasnov <krasnov@paralles.com> 5.0.0-1
- APP_TEMPLATE_AUTODETECTION variable for vztt.conf was added
- Version increased

* Thu Jul 22 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-28
- Added error message when cache is not found, see BUG #481893
- Added ostemplate name without arch support, see BUG #481931
- Use given config for temporary container during appcache, see BUG #481999

* Thu Jul 22 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-27
- Added leading dot support for "-q --ostemplate", see BUG #481782

* Tue Jul 20 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-26
- Implement vzpkg list --available command, see BUG #469512
- Changed apptemplates string initialization in appcache

* Fri Jul 16 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-25
- Added files support to vzmktmpl
- Fixed apptemplates list cleanup when vzpkg called with bad config
  name (BUG #481447)

* Mon Jul 05 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-24
- Fixed cow directoryes copying after upgrade (see BUG #480289)

* Thu Jun 24 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-23
- Fixed vzpkg info and some other commands to don't call vzup2date,
  see BUG #469410

* Thu Jun 24 2010 Serguei Krasnov <krasnov@paralles.com> 4.6.0-22
- samples for groups operations were added at vzpkg manpage (#477240)
- error message fixed (#477241)

* Thu Jun 17 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-21
- Fixed vzpkg template install and vzpkg template update logic,
  see BUGs #469835 #469832

* Mon May 31 2010 Serguei Krasnov <krasnov@paralles.com> 4.6.0-19
- vztmplconvert search pathes fixed (#427174)
- vzpkg info repositories|mirrorlist will show 'real' URLs (#94477)
- use http, ftp and https proxy simultaneously (#462044)
- memory leak in init_logger() fixed (#472592)

* Wed May 26 2010 Konstantin Volckov <wolf@paralles.com> 4.6.0-18
- Added availability to create vztt conf files with comments inside
- Fixed metafile man page

* Tue May 25 2010 Konstantin Volckov <wolf@paralles.com> 4.6.0-17
- Fixed i386 (x86) vzpkgenv suffix
- Added vztt_options.h to vztt-devel package (#476059)

* Tue May 25 2010 Serguei Krasnov <krasnov@paralles.com> 4.6.0-16
- modern OS templates were add into vztt-build samples (#97244)
- some patches from vzmktmpl from build env were ported

* Fri May 21 2010 Serguei Krasnov <krasnov@paralles.com> 4.6.0-15
- extra 'magic' slash in CT upgrade fixed #475947

* Wed May 21 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-14
- Fixed update metadata (BUG #475889)

* Wed May 12 2010 Konstantin Bukharov <bkb@parallels.com> 4.6.0-13
- Add RPM_INSTALL_PREFIX to the list of environment variables exported into CT by vzctl (#447830)

* Wed Apr 21 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-12
- Man page updated (BUG #469497)
- Added "Golden Image" feature

* Wed Apr 07 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-11
- Added option -v|--no-vzup2date to disable vzup2date functionality
- Library interface for vztt2_* calls and new options scheme implemented

* Wed Mar 24 2010 Konstantin Volckov <wolf@parallels.com> 4.6.0-10
- Added quiet mode for vzup2date calls, see BUG #470008

* Fri Mar 19 2010 Konstantin Bukharov <bkb@parallels.com> 4.6.0-9
- man page for vzpkg updated to desribe vzup2date integration (#469497)

* Wed Mar 10 2010 Serguei Krasnov <krasnov@paralles.com> 4.6.0-8
- yum groups operations were added for rpm-based templates/containers

* Fri Dec 04 2009 Konstantin Volckov <wolf@parallels.com> 4.6.0-7
- Added templates and envronments installation support using new vzup2date-4.6.0-2

* Thu Nov 26 2009 Konstantin Volckov <wolf@parallels.com> 4.6.0-6
- Refixed proxy strings cleanup, see #458798

* Thu Nov 26 2009 Konstantin Volckov <wolf@parallels.com> 4.6.0-5
- Fixed proxy strings cleanup, see #458798

* Tue Oct 27 2009 Konstantin Volckov <wolf@parallels.com> 4.6.0-4
- Run template scripts using bash, because of in Ubuntu 9.10 sh is link to zsh
- Restart Container after successfull upgrade, required by Ubuntu 9.10 due to upstart
- Always set template environments, used by Fedora 12

* Wed Sep 16 2009 Konstantin Bukharov <bkb@parallels.com> 4.6.0-1
- Merge from psbm-rel40-x64 branch c441513 & c441673 (#445949)

* Mon Aug 17 2009 Konstantin Bukharov <bkb@parallels.com> 4.0.1-9
- Clean template structures to reduce vzapkgmonitor leak (#425759)

* Wed Aug 05 2009 Konstantin Bukharov <bkb@parallels.com> 4.0.1-8
- Create temporary directory if not exist (#440825)

* Mon Aug 03 2009 Konstantin Bukharov <bkb@parallels.com> 4.0.1-7
- Fixed apt-cache download-only (#440474)

* Tue Apr 21 2009 Konstantin Volckov <wolf@parallels.com> 4.0.1-6
- Fixed python version (BUG #428711)
- Fixed pre-upgrade repodata download for apt-get (BUG #430078)
- Fixed debian localupdate (BUG #433273)

* Tue Apr 21 2009 Konstantin Volckov <wolf@parallels.com> 4.0.1-5
- Fixed apt-get download-only (BUG #428628)

* Sat Mar 14 2009 Serguei Krasnov <krasnov@paralles.com> 4.0.1-4
- allow test transaction on mounted CT (#424568)
- vztt_run_from_chroot() function was added (#424567)

* Sat Mar 14 2009 Serguei Krasnov <krasnov@paralles.com> 4.0.1-3
- template cache for VZFS4 on NFS fixed (#424518)

* Tue Mar  3 2009 Serguei Krasnov <krasnov@paralles.com> 4.0.1-2
- _FILE_OFFSET_BITS=64 and _LARGEFILE64_SOURCE defines were added (#423214)

* Wed Feb 25 2009 Serguei Krasnov <krasnov@paralles.com> 4.0.1-1
- show full information for non-base os template (#422325)
- version increased

* Mon Oct  6 2008 Serguei Krasnov <krasnov@paralles.com> 4.0.0-130
- do not remove tailing slashes from repositories (#123530)

* Tue Sep 23 2008 Konstantin Bukharov <bkb@parallels.com> 4.0.0-129
- Use 'vztar' instead of 'tar' for all operations with OS template cache tarball (#122185)

* Tue Aug 26 2008 Serguei Krasnov <krasnov@paralles.com> 4.0.0-128
- cache creation on GFS resolved (#119230)

* Fri Aug 15 2008 Dmitry Mishin <dim@parallels.com> 4.0.0-127
- added ability to build instrumented binaries for coverage measurements

* Tue Jul 22 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-126
- SCAN_PRIVATE vztt.conf parameter added: to scan private area for 
  'vzpkg repair' (#113121)

* Thu Jul 17 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-125
- installation of apptemplate(s) into OS template cache was added (#115898)
- packages_0 & packages_1 support added for rpm-based template too (#115898)

* Mon Jul 14 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-124
- resolve conflicts before last cache stage (deb-based, #116669)

* Mon Jul 14 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-123
- vzveconvert will not change veformat (#114983)
- check-only mode for cache update restored (#113241)
- vzpkg will not fail if template area does not exist (#116418)
- ignore package database reading error for repair (#116292)

* Thu Jul 10 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-122
- already update metadata, ignore METADATA_EXPIRE (#113985)
- read <TEMPLATE>/conf/vztt/url.map, not symlink /etc/vztt/url.map (#114805)

* Thu Jul 10 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-121
- 'update metadata' rewrote for apptemplates with equals repository set (plesk*):
  update local metadata for first template and create symlinks on it for
  other templates (#114487).

* Mon Jul  7 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-120
- use fcntl() VE lock for NFS (libvzctl, #115568)

* Mon Jul  7 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-119
- 'VZFS3 cache on NFS' check added (#113199)
- NFS added on 'shared FS check'

* Fri Jun 27 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-118
- hostname setting added in init for cache (#115292)
- double free in cleanup of template locking error fixed (#115531)
- mode specification in open(...O_CREAT...) added (#115531)
- 'get extended attributes' function result check added (#114983)
- yum/apt concurrency downloading fixed (#115851)
- filelists loading moved to metadata update (#115848)

* Fri May 23 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-117
- do not check directory for vztt_get_vzdir (##99873,112096)

* Mon Apr  7 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-116
- VERSION link for VZ0 fixed (#100680)

* Fri Apr  4 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-115
- --skip-db option for repair mode added: do not check vzpackages
  in internal packages db (#100596)

* Fri Apr  4 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-114
- do not ingnore records without leading space in vzpackages file (#99932)
- by default 'update cache' will create new cache (#100275)
  --update-cache option for old mode was added.

* Sat Mar 22 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-113
- default logname and quite mode added into external include files
  (for vzmigrate)

* Wed Mar 12 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-112
- layout check added for repair
- separate option for fetch added (#98044)

* Thu Mar  6 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-111
- repair for debian-based 3.0 VE fixed (#99696)
- repair will ignore non-vz packages (#96767)

* Thu Feb 28 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-110
- template locking rewrote via fcntl() for NFS support
- --skip_ve_setup added for vzctl mount (#99507)
- vzctl mount exit code check added (#99507)

* Mon Feb  4 2008 Serguei Krasnov <krasnov@sw.ru> 4.0.0-109
- vzpkg link fixed (#98580)

* Thu Dec 27 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-108
- vzpkg.log renamed to vztt.log
- VE renamed to CT
- VZFS0 renamed to simfs (#96363)

* Thu Dec 20 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-107
- use yum failovermethod=priority for mirrorlists with vzttproxy (#96115)

* Thu Dec 13 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-106
- vzmktmpl invalid arch diagnostic fixed (#96221)

* Thu Dec 13 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-105
- repair will use vzpkgproxy separately after templates 
  repositories/mirrorlists (#96115)

* Tue Dec 11 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-104
- deb localinstall/localupdate fixed (#95968)

* Fri Dec  7 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-103
- do not copy vz.deb in template local cache for localinstall (#95968)
- to install missing packages from target app template for VE upgrade (#95879)

* Fri Nov 30 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-102
- ignore SIGINT for parent, clean all and exit
- debug package added (#94939)

* Thu Nov 22 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-101
- update from 3.0 and 4 beta fixed (#94710)
- date in man pages fixed (#94661)

* Thu Nov 15 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-100
- url.map moved to /vz/template/conf/vztt/ (#94349)
- error code for info of unexisted rpm added (#94152)
- use *_SERVER variable from url.map before vztt.conf (#94395)

* Mon Nov 12 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-99
- vzpkg info -p <VEID> <package> : get info for installed into VE packages

* Fri Nov  9 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-98
- skip repair for PLAINFS private area
- do not check PLAINFS caches and VE's for cleanup

* Thu Nov  8 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-97
- vzmktmpl build templates in temporary directory (#93906)

* Fri Nov  2 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-96
- 'already installed' check added for 'install template' command (#93561)
- vzpkg man page fixed (#93202)

* Wed Oct 31 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-95
- VZFS0 support added
- man page fixed (##61091,93302)
- sync_vzpackages command added (#93241)

* Mon Oct  1 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-94
- VZPKG_FETCH splitted to VZPKG_FETCH & VZPKG_GET
  VZPKG_FETCH - download only & ignore conflicts (vzpkg fetch)
  VZPKG_GET - download only, ignore conflicts, skip dependencies resolving 
  (vzpkg repair & vzpkg link)
- VE transitions rewrote: 'updating' and 'test updating' remains

* Wed Sep 26 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-93
- OS template locking error diagnostic fixed (#90223)

* Tue Sep 25 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-92
- REPAIR_MIRROR config variable added, repair rewrote to use it (#91293)

* Tue Sep 25 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-91
- loopback interface creation added into init for cache (#91523)
- apt default verbose increased for 'unmet' message

* Fri Sep 21 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-90
- template packages file reading fixed (#91576)
- FC_SERVER variable fixed at url.map (#91659)
- 'debian with plesk' update metadata fixed (#91615)

* Wed Sep 19 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-89
- do not duplicate installed template after reinstall (#91317)
- for repair: update metadata after private area check (#86955)

* Thu Sep 13 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-88
- 'template upgrade' mode added

* Wed Sep 12 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-87
- repair of VE private area after upgrade fixed (#90033)

* Wed Sep 12 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-86
- clean --templates fixed for cache tarball absence
- ignore SIGQUIT in parent before yum start and wait yum exit (#91005)
- error message for OS template removing fixed (#90977)

* Mon Sep 10 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-85
- Internal information removed from config files (#90463)

* Fri Sep  7 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-84
- suse templates url in url.map fixed (#90058)

* Mon Sep  3 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-83
- -a/--avail vzveconvert option added: 
  to show available conversions (#89133)

* Wed Aug 29 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-82
- mistaken stdout redirect fixed (#89183)

* Tue Aug 28 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-81
- pre-convert script fixed for redhat-as3 
  (remove glibc.i386 to update to i686 to fix #89161)
- sles-9 convert fixed (#89219)

* Sat Aug 25 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-80
- private area processing for vzveconvert fixed (#89208)

* Thu Aug 23 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-79
- vzveconvert fixed (#89131)
- vzveconvert man page fixed (#89133)

* Fri Aug 17 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-78
- 'remote template' will remove cache tarball for os template (#88710)

* Tue Aug 14 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-77
- for 'remove template' and 'clean' on cluster check all available 
  shared privates too
- vztt_get_ve_ostemplate() syntax changed

* Sat Aug 11 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-76
- dlm locks added for template area on gfs shared cluster
- memory leaks on configs reading fixed (#86960)

* Wed Aug  8 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-75
- vztt_repair() parameters list fixed (#88150)

* Mon Aug  6 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-74
- segfault at list command fixed

* Tue Jul 24 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-73
- template area on shared partition check added for clean --clean-template
  & remove template
- --force-shared opton added to skip this check
- template lock module added
- new template lock on write added for: update metadata, cleanup
- new template lock on read added for: 
  install/update/remove/localinstall/localupdate & create cache
- installed template check fixed (#87705)
- seek packages directory on vzcache area too for repair (#87713)
- do not read packages db from private for running VE (#87471)

* Wed Jul 18 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-72
- create cache without parameters fixed (#86498)

* Fri Jul 13 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-71
- template cleaning fixed (#86100)

* Tue Jul 10 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-70
- error code for 'cache already exist' added (#85793)

* Wed Jul  4 2007 Serguei Krasnov <krasnov@sw.ru> 4.0.0-69
- processing of TEMPLATES in VE config fixed for upgrade (#85470)

* Fri Jun 29 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-68
- 'vzpkg update <VEID>' will update all packages (#85076)
- output char * array added into install/update template functions

* Wed Jun 27 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-67
- interactive mode for debian packages management added (#65466)
- upgrade fixed (#84648)

* Tue Jun 26 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-66
- default fedora-core server fixed
- status diagnostic fixed
- 'update metadata' forbidden for -C/--cache (#84818)
- help exit code fixed (#82244)
- libvztt.so moved into vztt-devel (#84435)

* Fri Jun 15 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-65
- vztt_is_ez_rpm() function added
- different statuses for lock files added (#83719)
- vzrpm requirements fixed (#84303)
- VPS renamed to VE in man pages (#82668)
- remote option description added into man page (#83583)
- bad diagnostic fixed (#83418)

* Thu Jun 14 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-64
- info segfault fixed (#84176)

* Wed Jun 13 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-63
- --cached option fixed (#84124)
- local cache splitted to per-template caches (##83931,83298)

* Fri Jun  8 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-62
- libvztt: struct tmpl_info * added in list
- bitmask for info fields added

* Wed May 16 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-61
- do not check system() result during cache cleanup (#82043)
- undefined variables diagnostic fixed (#82101)
- vzpkgenvs requirements fixed (#81680)

* Wed May 16 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-60
- SUSE2_SERVER & SUSE_SERVER variables values fixed (#81751)
- ostemplate lock added for remove template
- logger() renamed to vztt_logger() to avoid conflict with logger() 
  from libvzctl for static linking 

* Thu May 10 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-59
- added check of undefined variables in repositories and mirrorlists (#80913)
- fixed of retcode checking for standard template installation (#81476)
- relative path feature added for localinstall (#81344)

* Mon May  7 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-58
- cache update fixed (#81204)

* Wed Apr 18 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-57
- force-openat option for dpkg added
- template installation message fixed (#79679)
- application template check for base os template removing added

* Wed Apr 11 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-56
- expanded option for 'vzpkg update' was added
- 'clean all' fixed
- libvztt.so & libvztt.so.1 are symlinks (#79341)
- force-openat option fixed

* Mon Apr  9 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-55
- libvztt.so* libraries added into vztt-lib package

* Fri Apr  6 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-54
- VE upgrade fixed (#78785)
- cleanup fixed

* Wed Apr  4 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-53
- ve config modification fixed (#78528)

* Tue Apr  3 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-52
- 'install/remove template' output fixed (#78402)
- 'remove template' with unknown arch fixed.

* Mon Apr  2 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-51
- template removing fixed for 'some identical packages in some templates' case

* Thu Mar 29 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-50
- template update fixed (#78222)

* Tue Mar 27 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-49
- vzctl_get_env_ids_by_state usage fixed (#78048)

* Thu Mar 22 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-48
- vzctl mount --old_layout option removed (#77848)

* Mon Mar 19 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-47
- *_SERVER variables check added (#77589)
- OS template architecture check added (#76024)
- segfault for proxy fixed (#77629)
- VE layout check added
- redirect processing added for mirrorlist downloading (#77686)
- vzfs4 forbidden for localinstall/localupdate (#77644)
- proxy settings from vztt.conf will overwrite global proxy settings (#77690)
- vzpkg will download only alternative mirrorlists (#77643)

* Thu Mar 15 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-46
- bug in status command fixed (#74137)

* Thu Mar 15 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-45
- copyright fixed (#76253)
- out of modified packages added for 
  install/update/remove/localupdate/localinstall commands (#77215)

* Tue Mar 13 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-44
- sample post-install script for fedora-core-4-x86 fixed (#76748)
- get_backup_apps command added (#76733)
- real VE config name reading added (#77284,77306)
- cache creation for empty list fixed (#77298)

* Tue Feb 27 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-43
- vzpkg error codes ordered and described in man page (#73490)
- #65009 - cached flag added
- template area upgrade added (#73028)
- SEGFAULT fixed (#76591)

* Mon Feb 26 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-42
- EZ application template installation via id fixed (#74097)

* Mon Feb 26 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-41
- template installation fixed (#76407)
- VE packages list fixed (#76449)
- cache removing fixed (#76429)
- skiplock option added for standard application template installation (#76404)
- EZ application template removing via id fixed (#76437)

* Thu Feb 22 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-40
- vztt-devel package added with static vztt library and includes
- diagnostic for start from non-root added (#74671)
- SEGFAULT for 'vzpkg <command>' without parameters fixed (#76315)
- vzpkg list for --vzdir fixed (#76309)
- vztt-{lock,unlock}-ostemplate function added (#71791)
- stdout redirected for /dev/nul for --quiet (#72050)

* Tue Feb 20 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-39
- template update fixed (#57522)
- vzpkg and functions scripts removed
- cache status returned in vzpkg info for os template (#76111)
- install of standard template is possible only with
  --old_template/--with_old_template options (#76160)
- invalid license diagnostic added for cache operations (#73358)
- update cache use VEFORMAT of template cache (#76161)

* Thu Feb 15 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-38
- VZFS_TECHNOLOGIES changed to VEFORMAT (#75826)

* Tue Feb 13 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-37
- list command for templates moved to vztt
- temporary directories cleanup fixed (#75794)
- infinite loop for update without parameters fixed (#75894)
- error message fixed (#75914)
- standard template install for vzctl added (#75526)

* Fri Feb  9 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-36
- processing of empty HTTP_PROXY value fixed (#75725)
- info for app template with -i option fixed (#75732)

* Thu Feb  8 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-35
- SEGFAULG during unexisted cache update fixed (#75609)

* Thu Feb  8 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-34
- -i/--pkgid option for info fixed

* Mon Feb  5 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-33
- -c/--cached option fixed (#75439)
- skip_ve_setup option for vzctl added (#73874)

* Wed Jan 31 2007  Serguei Krasnov <krasnov@sw.ru> 4.0.0-32
- main functionality rewrote on C/C++ and libvztt created
- vzpkgchroot, pkg2tmpl, vzrmls and check_vzfs3_tech removed
- vzpkg will use rpm from environment and vzrpm's removed from requirements

* Tue Jan 16 2007 Evgeny Sokolov <evg@sw.ru> 4.0.0-31
- fixed segmentation fault (#74352).

* Fri Dec 29 2006 Evgeny Sokolov <evg@sw.ru> 4.0.0-30
- 'vzpkg remove template' fixed (#73931)

* Mon Dec 18 2006 Evgeny Sokolov <evg@sw.ru> 4.0.0-29
- fixed behaviour 'remove template' for sets
- 'remove template' clean os basedir (#71305)

* Fri Dec  8 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-28
- URL_convert renamed to url.map

* Fri Nov 10 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-27
- fixed of joint using of repositories and mirrorlist (#71636)
- convertation of fedora-core-5-x86_64 based VE from standard to EZ added
- version & release items added for template (and for info command)

* Fri Nov  3 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-26
- installation of packages fixed for debian non-base OS template VE (#71427)

* Wed Nov  1 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-25
- lockfile loop fixed (#65253)
- user interruption processing fixed (#52198)
- vzpkg status for os template cache added (#56786)

* Mon Oct 30 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-24
- vzpkgenvdebi64 requirements added (#65768)
- fixed processing of templates with complicated packages names (#70716)
- ubuntu-6.06-x86_64 EZ OS template metafile added into samples

* Fri Oct 20 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-23
- fixed install/remove of template with packages set from 
  already installed template (#60121)
- package removing added for template area cleaning
- vzpkg clean check os template set caches too (#70718)
- vzpkg clean remove vz packages too (#70713)

* Thu Oct 19 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-22
- yum local cache directories moved to 'yum' subdirectory
  vzpkg clean now remove all caches (#61092)
- vzveconvert pre-* scripts for suse/sles fixed (#69289)

* Tue Oct 17 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-21
- vzveconvert fixed & install fixed

* Mon Oct 16 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-20
- METADATA_EXPIRE support added for debian
- update-metadata command added
- status command rewrote (speed-up)

* Tue Oct  3 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-19
- EXCLUDE option support added for vztt.conf
- VZPKG_EXCLUDE option support added for VE config

* Fri Sep 29 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-18
- vzpkg clean options added:
	--clean-packages
	--clean-template
	--clean-vzcache
	--clean-all

* Wed Sep 27 2006 Evgeny Sokolov <evg@sw.ru> 4.0.0-17
- added vzpkgproxy support in vzveconvert

* Fri Sep 22 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-16
- cache cleanup fixed (#63966)
- repair diagnostic fixed (#65358)
- cache update fixed (#66536)
- cache diagnostic for bad license fixed (#66018)
- VE naming feature added (#68166)

* Fri Sep 22 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-15
- VZFS3 support added in upgrade
- temporary directory checking added (#68382)
- custom convert script for redhat-es3 added (#68393)

* Fri Sep 22 2006 Evgeny Sokolov <evg@sw.ru> 4.0.0-15
- added vzpkgproxy support for debian.

* Thu Sep 14 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-14
- repair rewrote (speed up - #68110)

* Tue Sep 12 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-13
- custom-pkg option added for vzpkg info (#68040)

* Tue Aug 22 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-12
- localinstall with vzcache2 area using rewrote
- -C option for debian fixed
- script execution in VE context fixed (#67131)
- URL convertation table added (instead of using of variables from config)

* Thu Aug 17 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-11
- added reading of vzfs3 technologies from VE config for per-VE operations
- added saving vzfs3 technologies into ".technologies" cache tarball file
- vzfsdirindex call during cache for HASHDIR technology was added

* Tue Aug 15 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-10
- vzfs3 technologies support added

* Fri Aug  4 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-9
- vzpkg link command added

* Wed Aug 2 2006 Evgeny Sokolov <evg@sw.ru> 4.0.0-8
- dpkg unpack packages instead of ar for vzfs2

* Tue Jul  4 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-7
- vzyum-plugins requires version & release specified
- environmets setings added for install/update/remove (#61506)
- vefs2 support added
- "remote" option added
- work with local cache fixed
- vzcache2 support added
- debian-based distros support added into vzveconvert

* Tue Jul  4 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-6
- version added into output for with-summary info option (#63269)
- epoch does not include in [epoch:]version-release if is None
- architecture added in packages list (#63270)

* Thu Jun 29 2006 Evgeny Sokolov <evg@sw.ru> 4.0.0-5
- build on 2.6.9 headers .

* Tue Jun 27 2006 Serguei Krasnov <krasnov@sw.ru> 4.0.0-4
- change file metod to copy method for apt (#64400)

* Tue Jun 27 2006 Evgeny Sokolov <evg@sw.ru> 4.0.0-3
- 'vzpkg remove template' fixed (#64404) 
- fixed man (#64422)

* Fri Jun 23 2006 Serguei Krasnov <krasnov@sw.ru>  4.0.0-2
- vzveconvert rewrote: do not copy package areas from old templates,
  try to download from new template repositoies only
- vzveconvert restored
- pre-* scripts for vzveconvert added

* Fri Jun 23 2006 Evgeny Sokolov <evg@sw.ru> 4.0.0-1
- 'vzpkg install/update/remove' show package information (#64261)
- added VZTT_PROXY parameter for additional cached repositories.

* Mon Jun 19 2006 Evgeny Sokolov <evg@sw.ru> 3.0.0-51.1
- added quiet mode for 'vzpkg install/update template' (#64052)

* Thu Jun 15 2006 Evgeny Sokolov <evg@sw.ru> 3.0.0-51
- 'vzpkg remove template' fixed (#63964)

* Thu Jun  1 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-50
- vzpkg upgrade functionality added for debian-based templates
- vzpkg upgrade repair target template area using only original repositories/mirrorlist,
  and then convert magic symlinks to source template area into regular files.

* Wed May 31 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-49
- repair mode fixed - yum only download packages, not deps resolve (#61683)

* Wed May 31 2006 Evgeny Sokolov <evg@sw.ru> 3.0.0-49
- added man for 'vzpkg install/update/remove template'
  and 'vzpkg upgrade' (#62893)

* Mon May 29 2006  Serguei Krasnov <krasnov@sw.ru> 3.0.0-48
- building without vzveconvert
- added capability of alternative mirrorlists (repositories) using 
  for rpm-based template(#61958)

* Mon May 15 2006  Serguei Krasnov <krasnov@sw.ru> 3.0.0-47
- convert_app_table added for convert to application template with own 
  repositories/mirrorlist
- vzpkgenv41s9 & vzrpm41s9 requirements were added
- 'chroot into environment' feature added for debian template (#62529)
- -d10 option fixed (#62536)
- apt-get Fix-Missing option default value (false) restored (#62526).
  Will rewrite by force option.
- For debian packages removing: non-installed packages will add into 
  output file,
  If packages does not find in repostories, it will removed with
  force option (#62527)

* Mon May 15 2006 Evgeny Sokolov <evg@sw.ru> 3.0.0-46
- 'vzpkg upgrade' fixed

* Fri May 12 2006  Serguei Krasnov <krasnov@sw.ru> 3.0.0-45
- /dev/null creation added before caching (#62263)

* Sat May  6 2006  Serguei Krasnov <krasnov@sw.ru> 3.0.0-44
- myinit rebuilt (#62263)
- cache faulure processing fixed (#62037)
- vzveconvert fixed for:
    sles-9-x86_64
    suse-9.0
    suse-9.1
    suse-9.2
    suse-9.3
    suse-10
    suse-10-x86_64
    fedora-core-5

* Wed May 3 2006  Serguei Krasnov <krasnov@sw.ru> 3.0.0-43
- packages list processing during removing fixed (#61878)
- timestamp fixed (#61880)
- vzveconvert fixed for:
	redhat-as3-x86_64
	redhat-as4-x86_64
	centos-4-x86_64
- added capability of alternative baseurls (repositories) using (#61958)

* Wed May 3 2006 Evgeny Sokolov <evg@sw.ru> 3.0.0-42
- added upgrade command to vzpkg
- added upgrade section and post-install-rpm option to vzmktmpl

* Thu Apr 26 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-41
- new utility vzveconvert added instead of vzvpsconvert for convert
  VE from standard to EZ templates.
  Variants of convertation are:
	fedora-core-1 -> fedora-core-4-x86
	fedora-core-2 -> fedora-core-4-x86
	fedora-core-3 -> fedora-core-4-x86
	fedora-core-4 -> fedora-core-4-x86
	fedora-core-4-x86_64 -> fedora-core-4-x86_64
	redhat-as3 -> redhat-as4-x86
	redhat-as4 -> redhat-as4-x86
	centos-3 -> centos-4-x86
	centos-4 -> centos-4-x86

* Wed Apr 26 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-40
- debian cache on bash-2 fixed (#61697)

* Wed Apr 19 2006 Evgeny Sokolov <evg@sw.ru> 3.0.0-39
- vzpkg remove do not remove packages from other installed app templates (#61003)

* Tue Apr 18 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-38
- update and replace packages per one transaction possibility added
- debs packages removing fixed

* Fri Apr 14 2006 Evgeny Sokolov <evg@sw.ru> 3.0.0-37
- added install/update/remove template commands

* Thu Apr 13 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-36
- debian functionality added
- debian package removing fixed (#60879)
- all repositories/mirrorlist will include for install package mode (#61240)
- requires of vzpkgenvdeb added
- post script added to update existing vztt.conf during update (#60559)
  New config will save as .rpmnew

* Tue Feb 14 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-34
- package architecture remove for 'rpm -r' (#60430)

* Tue Feb 14 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-33
- technologies processing fixed (read from base OS template config only)
- yum work via proxy fixed (#60155)

* Mon Feb 13 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-32
- vzpkgenv44x64 requirements added (#59097)
- vzpkgenv41 requirements added (#59132)
- vzmodules-devel buildrequires for ia64 added
- support of technologies feature as template section was added

* Thu Feb  9 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-31
- vzpkgenv i64, 43i64 and 44i64 were added
- vzpkgenv and python directories detection was rewrote

* Wed Feb  8 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-30
- vzpkgenv44 release fixed

* Wed Feb  8 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-29
- version and releases for i386 and x86_64 pkgenvs specified

* Tue Feb  7 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-28
- defattr for build subpackage added (#58810)
- basearch option for yum calls added
- build for ia64

* Tue Jan 31 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-26
- localinstall/localupdate commands were added
- rpmx64 and rpm43x64 environments were added
- some fixes for x86_64
- allmatches rpm option was added for packages removing
- yum metadata_expire parameter set in 3600 sec by default 
  and 1 for force option
- CE_SERVER and SUSE_SERVER variables added in config

* Fri Jan 20 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-25
- implicitly installed/removed apptemplates calculation added 
- VZCTL_ENV will copy to chroot env
- options are available packages info (#55408)
- support for rpm-4.1 (SuSE 10) added
- cache interrupt processing fixed

* Wed Jan 18 2006 Serguei Krasnov <krasnov@sw.ru> 3.0.0-24
- arch changed from noarch
- makefile fixed for building for x86_64

* Fri Dec 30 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-22
- vzvpsconvert man page added (#57120)

* Wed Dec 28 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-21
- examples into vzpkg man page were added (#56799)
- status command added

* Mon Dec 26 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-20
- fetch command added

* Mon Dec 19 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-18
- cleanup added for all commands
- connection timeout increased
- installonly list set empty
- convert util added
- format template name fixed in vzmktmpl (-ez instead of -tmpl)
- vzvpsconvert added
- arch-dependent files moved to /usr/lib/vztt

* Sat Dec 10 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-17
- for info, list, repair and clean all repositories/mirrorlist will inclided:
  and for os templates and for app templates.
- list -p for os template fixed

* Fri Dec 9 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-16
- error diagnostic fixed (#55782)
- environment parameter description was added into vzmktmpl man page (#55759)

* Thu Dec 8 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-15
- cache cleanup fixed (#55720)
- RH_SERVER checking added
- vzpkgrepo removed

* Wed Dec 7 2005 Evgeny Sokolov <evg@sw.ru> 3.0.0-12
- added vzpkgrepo man page (# 55607)
- vzpkgrepo error diagnostic fixed
- package manager available values fixed at vzpkg.metafile man page (#55656)

* Wed Dec 7 2005 Evgeny Sokolov <evg@sw.ru> 3.0.0-11
- show more clear message when os template unknown for "vzpkgrepo create" (# 55612)
- ip and hostname is mandatory parameters for "vzpkgrepo create"

* Wed Dec  7 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-10
- config_path parameter for info added
- nptl support/kernel version checking added for all yum/rpm calls (#55600)
- fixed # 55609

* Tue Dec  6 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-9
- OS template locking for cache and clean operations fixed
- logrotate config was added

* Mon Dec  5 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-8
- URLs in config file fixed

* Mon Dec  5 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-7
- with-summary option is actual in quiet mode (#53911)
- proxy samples in config fixed (#55351)
- current user use as templates files owner
- info output for empty parameter fixed (#55409)

* Thu Dec  1 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-5
- chroot support added

* Tue Nov 29 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-4
- templates list for old-templates VPS will to show with old-format option only

* Thu Nov 24 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-3
- 'update cache' leading dot bug fixed (#54924)

* Thu Nov 24 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-2
- package existing checked before removing (#54802)
- samples were renews

* Wed Nov 23 2005 Serguei Krasnov <krasnov@sw.ru> 3.0.0-1
- proxy support added (HTTP_PROXY* in global VZ and local vztt configs, #54529)
- preliminary packages search for repair mode added (#54609)
- cache processing changed: create|update|remove cache added instead of
  cache and remove-cache commands

* Tue Nov 22 2005 Evgeny Sokolov <evg@sw.ru> 2.7.0-27
- vzrepo is renamed to vzpkgrepo

* Mon Nov 21 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-26
- install/update bug fixed
- list with --quiet option show templates name only (#54465)

* Mon Nov 21 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-25
- install fixed
- installed packages number checking added (#54394)

* Fri Nov 18 2005 Evgeny Sokolov <evg@sw.ru> 2.7.0-25
- added vzrepo 

* Fri Nov 18 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-24
- vzpkg moved to /usr/sbin
- --force option removed as default from vzpkgadd call
- repair command added

* Wed Nov 16 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-23
- list installed/updated/remopved packages for check option added (#54143)

* Tue Nov 15 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-22
- vzpkg list for old template-based VPS fixed

* Fri Nov 11 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-21
- pkgid option output for os templates fixed
- template install will fail in template is installed already
- package and summary options for list added

* Thu Nov 10 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-20
- old-info-technologies option added for reading old templates technologies 

* Wed Nov  9 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-19
- -q option for error case fixed
- --old-info-* options processing fixed

* Tue Nov 8 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-18
- set locale to C (#53792)
- leading dot processing in OSTEMPLATE fixed
- error diagnostic fixed (#53783)
- --quiet option for info used (#53785)
- to use /tmp as temporary dir if /vz/tmp does not exist (#53525)
- list apptemplates fixed (#53782)

* Thu Nov 3 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-17
- templates name leading dot processing added
- option pkgid was added

* Wed Nov 2 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-15
- package manager aliases search in /etc/vzpkg.d now

* Thu Oct 20 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-14
- vzmktmpl fixed
- environment variables export to vps via vzctl added
- /vz/tmp is use as temporary dir by default
- cache vps root and private dirs moved to temporary dir (/vz/tmp)
- technologies feature support added
- do not process ntpl template on 2.4 kernel
- vzmktmpl is create relocatable packages
- package_manager made mandatory base os template section
- package manager aliases are reads from /etc/vzrpm.d
- base os template files moved to 'default' directory
- vzpkg info parameters renamed: name to summary, designation to name

* Wed Oct 19 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-13
- cached option for old templates info added

* Tue Oct 18 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-12
- vzmktmpl moved to build subpackage
- variable in repositories and mirrorlists support added 
  (as sample "http://$RH_SERVER/download/mirrors/redhat-9")
- old-format list option added (for vzctl)

* Tue Oct 18 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-11
- vzpkg info VPS (instead of ostemplate) usage case added
- designation and distribution info parameters were added
- last template update date & time support added for VPS and cache

* Thu Oct 13 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-10
- options cached & skiplock fixed
- command clean added
- option check fixed
- list format fixed

* Wed Oct 12 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-9
- vzmktmpl man page added
- samples dir added
- option info added

* Mon Oct 10 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-8
- pre/post-cache scripts support added (run in VPS0)
- all other scripts (install,update,remove) run into VPS via vzctl exec2

* Thu Oct  6 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-7
- mirrorlist support added
- yum config generation fixed

* Tue Oct  4 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-6
- createrepo requirements removed
- vzrpm requirements removed

* Fri Sep 30 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-5
- vzpkg usage rewrite
- internal template format changed
- sample meta files added
- proc mounting into init added

* Wed Sep 21 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-4
- cache name fixed
- lock dir for vzrpm43 creation added
- vzpkginst & repkg removed

* Fri Sep 16 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-3
- target option in rpmbuild added

* Thu Aug 30 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-2
- config file with package manager root aliases added
- package_makager section processing added
- BuildArch: noarch
- template setname processing added
- template architectures processing added
- createrepo used instead of yum-arch
- cache-os script removed, cache moved to vzpkg

* Thu Aug 18 2005 Serguei Krasnov <krasnov@sw.ru> 2.7.0-1
- vzctl version in requirements fixed
- in python scripts interpreter name changed to /usr/bin/python (for suse)
- remove mkcorepkg

* Thu Oct 21 2004 Konstantin Volckov <wolf.sw.ru> 2.6.0-0.23
- Added vzpkginst and vzpkg addpkg support

* Wed Oct 20 2004 Alexander Istomin 2.6.0-0.22
- added sets.py from python-2/3 to rpm
- vzpkg update writes entries to .packages
- added checkdep for vzpkg install

* Wed Oct 05 2004 Konstantin Volckov <wolf.sw.ru> 2.6.0-0.21
- Added pretend mode options to repkg, vzpkg (add|remove|update)

* Mon Sep 27 2004 Alexander Istomin 2.6.0-0.20
- removed core-package mentions
- APPNAMEs are being written to .packages instead of core-names

* Tue Jun 15 2004 Konstantin B. Bukharov <bkb@sw.ru> 2.6.0-0.19
- exporting VEID and VZCTL shell variables to os-template's scripts

* Tue Jun  8 2004 Konstantin B. Bukharov <bkb@sw.ru> 2.6.0-0.19
- 'vzpkg update' - initial working (again?) implementation

* Tue Jun  8 2004 Konstantin B. Bukharov <bkb@sw.ru> 2.6.0-0.18
- functions/save_ve_var - update ve.conf
- vzpkg update ve.conf during add/remove operations
- PKGSETS - new variable in ve.conf for new app-templates
- functions/get_all_packages - used for remove (returns list of removable packages in template)
- misprint in usage code for mktmpl fixed
- 'vzpkg remove' initial implementation
- Cleanup ostemplate.conf/template.conf issues

* Wed May 26 2004 Konstantin B. Bukharov <bkb@sw.ru> 2.6.0-0.17
- Move /var/vz/template/$VEID.packages to $VE_PRIVATE/.packages (cache-os)
- Update merge-deps to work with list of template config files
- Update 'vzpkg add' and 'vzpkg update' to use merge-deps

* Tue May 25 2004 Konstantin B. Bukharov <bkb@sw.ru> 2.6.0-0.17
- Implement 'vzpkg list-app'
- Implement 'vzpkg list-ve'

* Mon May 24 2004 Konstantin Bukharov <bkb@sw.ru> 2.6.0-0.16
- vztt.py/mktemplate_spec: handle OS/APP template difference
- vztt.py: omit %packages from template.spec
- vzpkg add is working again
- Template configuration file now is $OSNAME/$OSVER/config/$APPNAME/template.conf
Was:
Documentation: .../config/$APPNAME.conf
mktmpl: .../config/$APPNAME/<argument to mktmpl>
vztt tools: .../config/$APPNAME/template.conf
- vzpkg list-os - implemented
vztt.py/mktmpl - fix misprints on app template creation path
        - OS requires in template.spec
        - arguments to the vztt.abort calls etc...
- Add ve locking on vzpkg add/update operations (TBD for remove op when implemented)

* Thu Apr 29 2004 Konstantin Volckov <wolf@sw.ru> 2.6.0-0.14
- Dropped --use-symlinks option for yum

* Tue Apr 27 2004 Konstantin Bukharov <bkb@sw.ru> 2.6.0-0.13
- Fixed reading values from /etc/sysconfig/vz (" processing)

* Wed Apr 14 2004 Konstantin Volckov <wolf@sw.ru> 2.6.0-0.12
- Now we calling yum with --use-symlinks option
- Fixed provides section parsing from template-config in vztt.py
- Fixed path of core-package in vzpkg build-core
- Changed vzpkg & mkcorepkg to run directly rpm2vzrpm & yum-arch
- Added force options to mkcorepkg & vzpkg build-core

* Wed Apr 14 2004 Konstantin Volckov <wolf@sw.ru> 2.6.0-0.11
- Fixed repkg path in vzpkg

* Wed Apr 14 2004 Konstantin Volckov <wolf@sw.ru> 2.6.0-0.10
- Fixed %begin tag added in corepackage spec and output of spec

* Tue Apr 13 2004 Kir Kolyshkin <kir@sw.ru> 2.6.0-0.9
- core package doesn't contain requires: now, so packages to install comes
  from template config now

* Tue Feb 24 2004 Kir Kolyshkin <kir@sw.ru> 2.6.0-0.8
- added merge-deps utility, so ostmpl.packages file is created with OS cache
- raised version to 2.6.0

* Fri Feb 13 2004 Kir Kolyshkin <kir@sw.ru> 2.5.1-0.7
- added ability to deal with multiple yum repos using yum configuration
  file provided with OS template

* Fri Feb 13 2004 Kir Kolyshkin <kir@sw.ru> 2.5.1-0.6
- added -f, -r options to 'vzpkg cache' operation
- ability to specify several OS templates for 'vzpkg cache'
- more checks for vzpkg options
- repkg fixed so it works now
- fixed mkcorepkg so it accepts the second argument correctly
- fixed vzpkg add/update operations
- fixes and improvements to core package/template spec generation
- added ability to cache all OS templates
- removed obsoleted update-core script

* Mon Feb  9 2004 Kir Kolyshkin <kir@sw.ru> 2.5.1-0.5
- added mkts script that generates template.spec
- added mkcorepkg script that build core package
- added 'vzpkg build-core' command and man page description
- added mktmpl script (not yet available from vzpkg)
- added vztt.py library

* Mon Jan 19 2004 Kir Kolyshkin <kir@sw.ru> 2.5.1-0.3
- fixed 'vzpkg cache' command - it really works now

* Mon Jan 19 2004 Kir Kolyshkin <kir@sw.ru> 2.5.1-0.2
- added repkg utility and correspoding man page
- added requirement for proper rpm version (because of rpm2vzrpm)
- fixed 'vzpkg add' to work with multiple templates at once

* Fri Jan 16 2004 Kir Kolyshkin <kir@sw.ru> 2.5.1-0.1
- initially packaged
